# Uses of Class
org.apache.lucene.codecs.BlockTermState

Packages that use BlockTermState
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene103
Lucene 10.3 file format.

- ## Uses of BlockTermState in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return BlockTermState
  Modifier and Type
  Method
  Description
  `abstract BlockTermState`
  PostingsReaderBase.`newTermState()`
  Return a newly created empty TermState
  `abstract BlockTermState`
  PushPostingsWriterBase.`newTermState()`
  Return a newly created empty TermState
  `abstract BlockTermState`
  PostingsWriterBase.`writeTerm(BytesRef term, TermsEnum termsEnum, FixedBitSet docsSeen, NormsProducer norms)`
  Write all postings for one term; use the provided `TermsEnum` to pull a `PostingsEnum`.
  `final BlockTermState`
  PushPostingsWriterBase.`writeTerm(BytesRef term, TermsEnum termsEnum, FixedBitSet docsSeen, NormsProducer norms)`
  Methods in org.apache.lucene.codecs with parameters of type BlockTermState
  Modifier and Type
  Method
  Description
  `abstract void`
  PostingsReaderBase.`decodeTerm(DataInput in, FieldInfo fieldInfo, BlockTermState state, boolean absolute)`
  Actually decode metadata for next term
  `abstract void`
  PostingsWriterBase.`encodeTerm(DataOutput out, FieldInfo fieldInfo, BlockTermState state, boolean absolute)`
  Encode metadata as long[] and byte[].
  `abstract void`
  PushPostingsWriterBase.`finishTerm(BlockTermState state)`
  Finishes the current term.
  `abstract ImpactsEnum`
  PostingsReaderBase.`impacts(FieldInfo fieldInfo, BlockTermState state, int flags)`
  Return a `ImpactsEnum` that computes impacts with `scorer`.
  `abstract PostingsEnum`
  PostingsReaderBase.`postings(FieldInfo fieldInfo, BlockTermState state, PostingsEnum reuse, int flags)`
  Must fully consume state, since after this call that TermState may be reused.

- ## Uses of BlockTermState in org.apache.lucene.codecs.lucene103

  Subclasses of BlockTermState in org.apache.lucene.codecs.lucene103
  Modifier and Type
  Class
  Description
  `static final class`
  `Lucene103PostingsFormat.IntBlockTermState`
  Holds all state required for `Lucene103PostingsReader` to produce a `PostingsEnum` without re-seeking the terms dict.
  Methods in org.apache.lucene.codecs.lucene103 that return BlockTermState
  Modifier and Type
  Method
  Description
  `BlockTermState`
  Lucene103PostingsReader.`newTermState()`
  Methods in org.apache.lucene.codecs.lucene103 with parameters of type BlockTermState
  Modifier and Type
  Method
  Description
  `void`
  Lucene103PostingsReader.`decodeTerm(DataInput in, FieldInfo fieldInfo, BlockTermState _termState, boolean absolute)`
  `void`
  Lucene103PostingsWriter.`encodeTerm(DataOutput out, FieldInfo fieldInfo, BlockTermState _state, boolean absolute)`
  `void`
  Lucene103PostingsWriter.`finishTerm(BlockTermState _state)`
  Called when we are done adding docs to this term
  `ImpactsEnum`
  Lucene103PostingsReader.`impacts(FieldInfo fieldInfo, BlockTermState state, int flags)`
  `PostingsEnum`
  Lucene103PostingsReader.`postings(FieldInfo fieldInfo, BlockTermState termState, PostingsEnum reuse, int flags)`